xgboost

Public Member Functions | Public Attributes | Friends | List of all members
xgboost::common::WQSummary< DType, RType >::Entry Struct Reference

an entry in the sketch summary More...

`#include <quantile.h>`

Collaboration diagram for xgboost::common::WQSummary< DType, RType >::Entry:

## Public Member Functions
XGBOOST_DEVICE | Entry ()
XGBOOST_DEVICE | Entry (RType rmin, RType rmax, RType wmin, DType value)
void | CheckValid (RType eps=0) const
| debug function, check Valid More...
XGBOOST_DEVICE RType | RMinNext () const
XGBOOST_DEVICE RType | RMaxPrev () const

## Public Attributes
RType | rmin
| minimum rank More...
RType | rmax
| maximum rank More...
RType | wmin
| maximum weight More...
DType | value
| the value of data More...

## Friends
std::ostream & | operator<< (std::ostream &os, Entry const &e)

## Detailed Description

### template<typename DType, typename RType>
struct xgboost::common::WQSummary< DType, RType >::Entry

an entry in the sketch summary

## Constructor & Destructor Documentation

## ◆ Entry() [1/2]

template<typename DType , typename RType >

XGBOOST_DEVICE xgboost::common::WQSummary< DType, RType >::Entry::Entry | ( |  | ) |
| inline

## ◆ Entry() [2/2]

template<typename DType , typename RType >

XGBOOST_DEVICE xgboost::common::WQSummary< DType, RType >::Entry::Entry | ( | RType | rmin,
|  | RType | rmax,
|  | RType | wmin,
|  | DType | value
| ) |  |
| inline

## Member Function Documentation

## ◆ CheckValid()

template<typename DType , typename RType >

void xgboost::common::WQSummary< DType, RType >::Entry::CheckValid | ( | RType | eps = `0` | ) | const
| inline

debug function, check Valid

Parameters

  eps | the tolerate level for violating the relation

## ◆ RMaxPrev()

template<typename DType , typename RType >

XGBOOST_DEVICE RType xgboost::common::WQSummary< DType, RType >::Entry::RMaxPrev | ( |  | ) | const
| inline

Returns
  rmax estimation for v strictly smaller than value

## ◆ RMinNext()

template<typename DType , typename RType >

XGBOOST_DEVICE RType xgboost::common::WQSummary< DType, RType >::Entry::RMinNext | ( |  | ) | const
| inline

Returns
  rmin estimation for v strictly bigger than value

## Friends And Related Function Documentation

## ◆ operator<<

template<typename DType , typename RType >

std::ostream& operator<< | ( | std::ostream & | os,
|  | Entry const & | e
| ) |  |
| friend

## Member Data Documentation

## ◆ rmax

template<typename DType , typename RType >

RType xgboost::common::WQSummary< DType, RType >::Entry::rmax

maximum rank

## ◆ rmin

template<typename DType , typename RType >

RType xgboost::common::WQSummary< DType, RType >::Entry::rmin

minimum rank

## ◆ value

template<typename DType , typename RType >

DType xgboost::common::WQSummary< DType, RType >::Entry::value

the value of data

## ◆ wmin

template<typename DType , typename RType >

RType xgboost::common::WQSummary< DType, RType >::Entry::wmin

maximum weight

The documentation for this struct was generated from the following file:

- /home/runner/work/xgboost/xgboost/src/common/quantile.h